Bug 132820 - UI: Height input box smaller compared to width (document specific)
Summary: UI: Height input box smaller compared to width (document specific)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.7.2 release
Hardware: All All
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, regression
Depends on:
Blocks: Dialog Shapes
  Show dependency treegraph
 
Reported: 2020-05-07 14:47 UTC by Telesto
Modified: 2022-09-26 03:30 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (8.91 KB, application/vnd.oasis.opendocument.text)
2020-05-07 14:48 UTC, Telesto
Details
Screenshot (66.88 KB, image/jpeg)
2020-05-07 22:02 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-05-07 14:47:52 UTC
Description:
UI: Height input box smaller compared to width (document specific)

Steps to Reproduce:
1. Open the attached file
2. Select the shape at the bottom
3. Position and size position and size tab; Height box is smaller compared to width
4. Check follow text -> issue gone

Actual Results:
Height box is smaller compared to width

Expected Results:
Should be the same


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha0+ (x64)
Build ID: 97a2c1fc5e376c0c00968f17a0392c6d3a5ed565
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc:
Comment 1 Telesto 2020-05-07 14:48:15 UTC
Created attachment 160506 [details]
Example file
Comment 2 Telesto 2020-05-07 22:02:51 UTC
Created attachment 160513 [details]
Screenshot
Comment 3 Buovjaga 2020-08-31 17:01:01 UTC
Testing on Win, the widths are equal with 3.5.0, but not with 4.4.7. However, on Linux with 41max-50max, the widths are equal as well (albeit smaller) and there is no effect with checking Follow text.

Please try bibisecting with Win or Mac.

Arch Linux 64-bit
Version: 7.1.0.0.alpha0+
Build ID: d784e711c102f204552c3c816636da01b1085f61
CPU threads: 8; OS: Linux 5.8; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 29 August 2020
Comment 4 Thomas Lendo 2020-09-25 16:30:36 UTC
Confirmed with Version: 7.1.0.0.alpha0+
Build ID: 83aa172697c11a9550c27a28f8e62b523ec7086d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: de-DE (de_DE.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-09-10_21:26:34

Weird, activating and deactivating the checkbox "Follow text flow" is making the "height" text box with spinner wider and shorter.

I can reproduce this issue with following steps:

1) Open new Writer document.
2) Insert 37 paragraph lines with default values (on Linux: Liberation Serif, 12pt). In another test document it's enough to have 34 lines.
3) Insert a rectangle shape.
4) Open Position and Size dialog.
   * You can choose Width and Height with values whatever you want.
   * Anchor to paragraph.
   * Position horizontal from left can be a value whatever you want.
   * With 37 lines above: Position vertical from top must be 0,2 cm to Margin or greater.
   * With 34 lines above: Position vertical from top must be 1,7 cm to Margin or greater.
5) Close the dialog with OK.
6) Reopen the dialog.
Comment 5 QA Administrators 2022-09-26 03:30:08 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug